from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XComponent

@runtime_checkable
class XDesktopTask(XComponent, Protocol):
    def initialize(self, TaskWindow: XWindow) -> None: ...
    def close(self) -> bool: ...
